
import {feature} from 'topojson';


//importing data
Promise.all([
	d3.csv('https://vizhub.com/Mike191/datasets/state-earthquakes.csv'),
  d3.json('https://vizhub.com/Mike191/datasets/states-10m.json')
]).then(([csvData, topoJASONdata]) => {
  
  var regionname = {};
  var earthquakesnum = {};
  var earthquakesnumlog = {};
    
  csvData.forEach(d => {
    
    regionname[d.States] = d.Region;
    earthquakesnum[d.States] = d["Total Earthquakes"];
    d["Total Earthquakes"] = Math.log((+d["Total Earthquakes"])+1);
    earthquakesnumlog[d.States] = d["Total Earthquakes"];
  });
  
  
  //setting variables
  var svg = d3.select('svg');
	var projection = d3.geoAlbersUsa();
  var states = feature(topoJASONdata, topoJASONdata.objects.states);
  var colorScale = d3.scaleThreshold();  
  var colors = d => earthquakesnumlog[d.properties.name];
  
  //setting the colorscale
 	colorScale
  	.domain([0,1,2,3,4,5,6,7,8])
  	.range(d3.schemeOrRd[9]);
  
  //creating the cloropleth
  svg.selectAll('path')
  	.data(states.features)
    .enter()
    .append('path')
  	//drawing the sates
  	.attr('class', 'state')
  	.attr('d', d3.geoPath().projection(projection))
  			.attr('fill', d => colorScale(colors(d)))
  		//.append('title')
  			//.text("State: ")
  		//.append('title1')
  		//	.text(d => d.properties.name)
    	//.append('title2')
  		//	.text("\nRegion: ")
  		//.append('title3')
  		//	.text(d => regionname[d.properties.name])
     //	.append('title4')
  		//	.text("\nEarthquakes: ")
  		//.append('title5')
  		//	.text(d => earthquakesnum[d.properties.name]) ; 
  
  var tooltip = d3.tip().attr('class', 'd3-tip').html(
    function(d) {
      var state = d => d.properties.name;
      var region = d => regionname[d.properties.name];
      var quakes = d => earthquakesnum[d.properties.name];
      
      return '<div class = 'tool'>< p class = 'tooltext'> State: '+state+'>/p><p class = tooltext'>Region: '+region+'</p><p class = 'tooltext'>Earthquakes: '+quakes+'</p>'
      ]);
      
  svg.call(tootip)
  	
    
});



